import { useRef, useState, useCallback, useEffect } from 'react';
import { createZoomImageClick } from '@zoom-image/core';

// src/useZoomImageClick.ts
function useZoomImageClick() {
  const result = useRef();
  const [zoomImageState, updateZoomImageState] = useState({
    zoomedImgStatus: "idle"
  });
  const createZoomImage = useCallback((...arg) => {
    result.current?.cleanup();
    result.current = createZoomImageClick(...arg);
    updateZoomImageState(result.current.getState());
    result.current.subscribe(({ state }) => {
      updateZoomImageState(state);
    });
  }, []);
  useEffect(() => {
    return () => {
      result.current?.cleanup();
    };
  }, []);
  return {
    createZoomImage,
    zoomImageState
  };
}

export { useZoomImageClick };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-IUXLCW7L.mjs.map